%define name    nyquist
%define version 2.29
%define pkg_ver 229
%define release 2mdk

Summary:      Sound synthesis and composition language with a lisp syntax
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      Artistic
Group:        Sound
Source:       %{name}%{pkg_ver}.zip
URL:          http://www-2.cs.cmu.edu/~music/music.software.html
BuildRoot:    %{_tmppath}/%{name}-buildroot
BuildRequires: readline-devel ncurses-devel

%description 
Nyquist is a language for sound synthesis and music
composition. Unlike score languages that tend to deal only with
events, or signal processing languages that tend to deal only with
signals and synthesis, Nyquist handles both in a single integrated
system. Nyquist is also flexible and easy to use because it is based
on an interactive Lisp interpreter.

%prep
%setup -n nyquist
# fix file permissions
chmod 644 `find -type f`
chmod 755 `find -type d`
# fix compiler
perl -p -i -e 's/cc\ /\$\(CC\)\ /g' Makefile
# fix errno problems
mv sys/unix/osstuff.c sys/unix/osstuff.c.orig
echo '#include <errno.h>' > sys/unix/osstuff.c
cat sys/unix/osstuff.c.orig >> sys/unix/osstuff.c

%build
make CC='gcc $(RPM_OPT_FLAGS)'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nyquist
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist

# install runtime and executable
cp -pr runtime $RPM_BUILD_ROOT%{_libdir}/nyquist
cp -p ny $RPM_BUILD_ROOT%{_bindir}/nyquist.bin

# install lib
cp -pr lib $RPM_BUILD_ROOT%{_libdir}/nyquist

# install demos, test
cp -pr demos test $RPM_BUILD_ROOT%{_datadir}/nyquist

# build startup script
cat >$RPM_BUILD_ROOT%{_bindir}/ny <<EOF
#!/bin/bash
export XLISPPATH=%{_libdir}/nyquist/runtime
exec %{_bindir}/nyquist.bin
EOF

# set executables
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/ny
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/nyquist.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Readme.txt advantages.txt files.txt license.txt todo.txt
%doc demos doc
%{_bindir}/ny
%{_bindir}/nyquist.bin
%{_libdir}/%name
%{_datadir}/%name

%changelog
* Sat Feb 8 2003 Austin Acton <aacton@yorku.ca> 2.29-2mdk
- distlint (DIRM)
- fix file permissions

* Sat Feb 8 2003 Austin Acton <aacton@yorku.ca> 2.29-1mdk
- steal from CCRMA and Mandrakize I have
- setup opt_flags, fix errno, re-arrange directories

* Mon Jan 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.29-1
- Initial build.
